Loading...
Searching...
No Matches
Attributes
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription

Attributes are named values associated with various GEIS entities, including input devices, gesture types, and gesture events. More...

## Topics

| Event Control
| These functions are used to dispatch events generated from the various other GEIS components.

## Vendor-defined Configuration Items

  These configuration items are not a part of the GEIS specification and may change.

GeisString | geis_attr_name (GeisAttr attr)
| An opaque type that encapsulates a GEIS attribute.
GeisAttrType | geis_attr_type (GeisAttr attr)
| Gets the type of an attribute value.
GeisBoolean | geis_attr_value_to_boolean (GeisAttr attr)
| Gets the value of an attribute as a GeisBoolean.
GeisFloat | geis_attr_value_to_float (GeisAttr attr)
| Gets the value of an attribute as a GeisFloat.
GeisInteger | geis_attr_value_to_integer (GeisAttr attr)
| Gets the value of an attribute as a GeisInteger.
GeisPointer | geis_attr_value_to_pointer (GeisAttr attr)
| Gets the value of an attribute as a GeisPointer.
GeisString | geis_attr_value_to_string (GeisAttr attr)
| Gets the value of an attribute as a GeisString.

## Detailed Description

Attributes are named values associated with various GEIS entities, including input devices, gesture types, and gesture events.

## Function Documentation

## geis_attr_name()

GeisString geis_attr_name | ( | GeisAttr | attr | ) |

An opaque type that encapsulates a GEIS attribute.

GeisAttr objects may not be created or destroyed by the application, they may only have their data examined or extracted. Gets the name of an attribute.

Parameters

  [in] | attr | Identifies the attribute.

Examples
  geis2.c.

## geis_attr_type()

GeisAttrType geis_attr_type | ( | GeisAttr | attr | ) |

Gets the type of an attribute value.

Parameters

  [in] | attr | Identifies the attribute.

Examples
  geis2.c.

## geis_attr_value_to_boolean()

GeisBoolean geis_attr_value_to_boolean | ( | GeisAttr | attr | ) |

Gets the value of an attribute as a GeisBoolean.

Parameters

  [in] | attr | Identifies the attribute.

Examples
  geis2.c.

## geis_attr_value_to_float()

GeisFloat geis_attr_value_to_float | ( | GeisAttr | attr | ) |

Gets the value of an attribute as a GeisFloat.

Parameters

  [in] | attr | Identifies the attribute.

Examples
  geis2.c.

## geis_attr_value_to_integer()

GeisInteger geis_attr_value_to_integer | ( | GeisAttr | attr | ) |

Gets the value of an attribute as a GeisInteger.

Parameters

  [in] | attr | Identifies the attribute.

Examples
  geis2.c.

## geis_attr_value_to_pointer()

GeisPointer geis_attr_value_to_pointer | ( | GeisAttr | attr | ) |

Gets the value of an attribute as a GeisPointer.

Parameters

  [in] | attr | Identifies the attribute.

Examples
  geis2.c.

## geis_attr_value_to_string()

GeisString geis_attr_value_to_string | ( | GeisAttr | attr | ) |

Gets the value of an attribute as a GeisString.

Parameters

  [in] | attr | Identifies the attribute.

Examples
  geis2.c.